Loading...
Searching...
No Matches
net::EthInfo Struct Reference

Ethernet interface info. More...

## Public Attributes

EapStatus | eapStatus
| `status` of EAP authentication
EthLinkMode | linkMode
| Current link mode.
boolean | linkModeValid
| `true` if linkMode is valid
boolean | autonegEnabled
| `true` if auto-negotiation is enabled
boolean | linkDetected
| `true` if a link is detected
vector< EthLinkMode > | supportedLinkModes
| Supported link modes.

## Detailed Description

Ethernet interface info.

The documentation for this struct was generated from the following file:

- Net.idl